Subject: Re: wireless userspace MLME and generic netlink vs. multicast (was: Re: [Take 2] mac80211 IEEE802.11e/WMM code cleanup)

From: Zhu Yi <[email-masked]>
Date: Mon, 18 Jun 2007 10:08:47 +0800

On Sun, 2007-06-17 at 14:03 +0200, Johannes Berg wrote:
> It sounds to me like you're proposing that wpa_supplicant is the only
> supported userspace MLME and that wpa_cli is the only way to configure
> it, basically. I sure hope that isn't so. 

OK. This is the key of the discussion. Do we take wpa_supplicant the
only implementation of userspace MLME or even decision making (ie. DLS
config) daemon? If so, we don't need the API. Otherwise we'd better have
the API in the kernel because we cannot expect both userspace MLME
implentation A and B support the same API (via IPC) for configuration.

Thanks,
-yi